rte_pmd_i40e_pkt_template_conf(3)

NAME
rte_pmd_i40e_pkt_template_conf

SYNOPSIS

#include <rte_pmd_i40e.h>

  Data Fields

struct rte_pmd_i40e_pkt_template_input input
struct rte_pmd_i40e_pkt_template_action action
uint32_t soft_id

Detailed Description

A structure used to define the configuration parameters for raw packet template.

Definition at line 289 of file rte_pmd_i40e.h.

Field Documentation

  struct rte_pmd_i40e_pkt_template_input input
the input for raw packet template.

Definition at line 291 of file rte_pmd_i40e.h.

  struct rte_pmd_i40e_pkt_template_action action
the action to be taken when raw packet template is matched

Definition at line 293 of file rte_pmd_i40e.h.

  uint32_t soft_id
ID, an unique software index for the raw packet template filter

Definition at line 295 of file rte_pmd_i40e.h.

Author

Generated automatically by Doxygen for DPDK from the source code.